This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025739 - [RFE] edit VMs and Templates residing on export domain
[RFE] edit VMs and Templates residing on export domain
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Michal Skrivanek
Shai Revivo
virt
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 08:15 EDT by David Jaša
Modified: 2015-03-22 11:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-22 11:47:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-11-01 08:15:03 EDT
Description of problem:
Sometimes, e.g. when physical data center layout changes, it makes sense to edit exported templates/VMs right on export domain and then just import them multiple times, saving the import/edit/reexport cycle.

Version-Release number of selected component (if applicable):
3.3

How reproducible:


Steps to Reproduce:
1. try to edit exported VM or Template
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ayal Baron 2013-12-15 10:06:53 EST
Could you elaborate what options you would like to edit?
Comment 2 David Jaša 2014-01-15 04:19:37 EST
(In reply to Ayal Baron from comment #1)
> Could you elaborate what options you would like to edit?

Because some of the underlying stuff changes. Take networks: when it's name is different at import time, your VM won't work till you fix it, but you can't fix anything till the import is over which is longish operation. Being able to tailor the VM/Template to destination setup before import makes more sense.
Comment 3 Ayal Baron 2014-01-15 05:34:24 EST
(In reply to David Jaša from comment #2)
> (In reply to Ayal Baron from comment #1)
> > Could you elaborate what options you would like to edit?
> 
> Because some of the underlying stuff changes. Take networks: when it's name
> is different at import time, your VM won't work till you fix it, but you
> can't fix anything till the import is over which is longish operation. Being
> able to tailor the VM/Template to destination setup before import makes more
> sense.

Ok, so I'd say this isn't to edit it on the export domain but rather when pushing import button you'd like to be able to edit these options before clicking 'ok', esp. considering that networks for example would depend on the target of the import so only relevant to current import operation.
would you agree?
Comment 4 David Jaša 2014-04-16 06:07:30 EDT
(In reply to Ayal Baron from comment #3)
> ...
> Ok, so I'd say this isn't to edit it on the export domain but rather when
> pushing import button you'd like to be able to edit these options before
> clicking 'ok', esp. considering that networks for example would depend on
> the target of the import so only relevant to current import operation.
> would you agree?

That would suffice, too.
Comment 5 Itamar Heim 2015-03-22 11:47:17 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.